Moodle
  1. Moodle
  2. MDL-10328

Defining role gives 'Could not update role!' error

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Critical Critical
    • Resolution: Not a bug
    • Affects Version/s: 1.8.1
    • Fix Version/s: 1.9
    • Component/s: Roles / Access
    • Labels:
      None
    • Database:
      MySQL
    • Affected Branches:
      MOODLE_18_STABLE
    • Fixed Branches:
      MOODLE_19_STABLE

      Description

      Since upgrade to Moodle 1.8.1+ (2007021510),

      When you save changes to a role you are redirected to the following message (admin/roles/manage.php):

      Could not update role!

      although changes are actually being recorded and saved.

        Gliffy Diagrams

          Activity

          Hide
          James Ballard added a comment - - edited

          Sorry, this was a server issue and is no longer occurring.

          But is occurring again now. Trying to determine if this is server related or Moodle.

          Show
          James Ballard added a comment - - edited Sorry, this was a server issue and is no longer occurring. But is occurring again now. Trying to determine if this is server related or Moodle.
          Hide
          Yu Zhang added a comment -

          Hi Regarding this and the other role movement bug, can you check if your database table needs repairing?

          Cheers,

          Yu

          Show
          Yu Zhang added a comment - Hi Regarding this and the other role movement bug, can you check if your database table needs repairing? Cheers, Yu
          Hide
          James Ballard added a comment -

          Hi

          Back in office today and is working fine. I think this was a glitch on my local server that coincided with upgrading to latest release of Moodle for testing. I cannot recreate the error now.

          Sorry,
          James

          Show
          James Ballard added a comment - Hi Back in office today and is working fine. I think this was a glitch on my local server that coincided with upgrading to latest release of Moodle for testing. I cannot recreate the error now. Sorry, James

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: